package com.loh.dao;

import com.loh.model.LandlordInfo;
import com.loh.model.LandlordInfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface LandlordInfoMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    long countByExample(LandlordInfoExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    int deleteByExample(LandlordInfoExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    int insert(LandlordInfo record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    int insertSelective(LandlordInfo record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    List<LandlordInfo> selectByExample(LandlordInfoExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    LandlordInfo selectByPrimaryKey(Integer id);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    int updateByExampleSelective(@Param("record") LandlordInfo record, @Param("example") LandlordInfoExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    int updateByExample(@Param("record") LandlordInfo record, @Param("example") LandlordInfoExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    int updateByPrimaryKeySelective(LandlordInfo record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table landlord_info
     *
     * @mbg.generated
     */
    int updateByPrimaryKey(LandlordInfo record);
}